%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		solarus
Version:	1.6.5
Release:	%mkrel 1
Summary:	An open-source Zelda-like 2D game engine
Group:		Games/Adventure
License:	GPLv3
URL:		http://www.solarus-games.org/
Source0:	https://gitlab.com/solarus-games/solarus/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Solarus is an open-source Zelda-like 2D game engine written in C++.

If you want, you can download games "Zelda Mystery of Solarus DX"
and "Zelda Mystery of Solarus XD" on solarus site at :
http://www.solarus-games.org/games/ .

Their licenses do not allow redistribution, they are open-source but
contain copyrighted material from Nintendo, thus preventing their
redistribution as per Mageia's licensing policy.

#------------------------------------------------

%package -n	%{libname}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains library files for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%doc changelog.md readme.md
%license license.txt
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-run
%{_datadir}/%{name}-gui/
%{_datadir}/applications/org.solarus_games.%{name}.Launcher.desktop
%{_metainfodir}/org.solarus_games.%{name}.appdata.xml
%{_datadir}/pixmaps/org.solarus_games.%{name}*.png
%{_iconsdir}/hicolor/*/apps/org.solarus_games.%{name}*.png
%{_iconsdir}/hicolor/*/apps/org.solarus_games.%{name}*.svg
%{_mandir}/man6/%{name}-launcher.6*
%{_mandir}/man6/%{name}-run.6*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}-gui.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-gui.so


%changelog
* Mon Nov 28 2022 daviddavid <daviddavid> 1.6.5-1.mga9
+ Revision: 1912238
- new version: 1.6.5

* Sun Apr 03 2022 umeabot <umeabot> 1.6.4-3.mga9
+ Revision: 1842203
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.6.4-2.mga8
+ Revision: 1659915
- Rebuild for new Qt5

* Tue Jul 14 2020 daviddavid <daviddavid> 1.6.4-1.mga8
+ Revision: 1606027
- new version: 1.6.4

* Sat Feb 15 2020 daviddavid <daviddavid> 1.6.0-3.mga8
+ Revision: 1525732
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 1.6.0-2.mga7
+ Revision: 1384858
- Qt5 Rebuild

* Sat Mar 02 2019 daviddavid <daviddavid> 1.6.0-1.mga7
+ Revision: 1371006
- new version: 1.6.0

* Sun Sep 23 2018 umeabot <umeabot> 1.5.3-3.mga7
+ Revision: 1301101
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 daviddavid <daviddavid> 1.5.3-2.mga7
+ Revision: 1201583
- add upstream patch to fix build with luajit 2.1

* Wed Aug 02 2017 daviddavid <daviddavid> 1.5.3-1.mga7
+ Revision: 1133944
- new version: 1.5.3
- use upstream desktop file
- remove merged upstream patch

* Sat Jul 30 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 1043900
- new version: 1.5.0 (now include a GUI based on Qt5)

* Mon Feb 08 2016 umeabot <umeabot> 1.3.1-4.mga6
+ Revision: 942507
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 745233
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 689238
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 1.3.1-1.mga5
+ Revision: 669074
- update file list
- new version: 1.3.1

* Sun Aug 10 2014 daviddavid <daviddavid> 1.2.1-1.mga5
+ Revision: 661325
- new version: 1.2.1

* Sun May 18 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 623614
- switch to SDL2 build support
- switch to luaJIT build support
- new version: 1.2.0

* Sat Mar 29 2014 daviddavid <daviddavid> 1.1.1-1.mga5
+ Revision: 609588
- add more description for Zelda games packages
- solarus need lua5.1 version on devel package for build
- imported package solarus

